#!/usr/bin/env python3

import os
import shutil
import sys

CMD = (
    "ffmpeg -loglevel error -i {inputfile!r} "
    "-c:a copy "
    "{outputile!r}"
)


def main(inp_fname):
    out_fname = inp_fname[:-4] + ".mp4"

    if out_fname == inp_fname:
        # rename input so don't collide
        alt_inp_fname = inp_fname[:-4] + "--original.mp4"
        os.rename(inp_fname, alt_inp_fname)
        inp_fname = alt_inp_fname

    # assure env is ok
    print("Processing", inp_fname)
    assert os.path.exists(inp_fname)
    assert not os.path.exists(out_fname)

    cmd = CMD.format(inputfile=inp_fname, outputile=out_fname)
    status = os.system(cmd)
    if status != 0:
        print("ERROR, status:", status)
        exit()

    # move the old one t to take it from the working dir (but don't just remove it, JIC)
    backup_dir = "backup"
    if not os.path.exists(backup_dir):
        os.mkdir(backup_dir)
    shutil.move(inp_fname, os.path.join(backup_dir, inp_fname))


if __name__ == '__main__':
    def die():
        print("Usage: {} input [input [...]]".format(sys.argv[0]))
        exit()

    if len(sys.argv) < 2:
        die()

    for fname in sys.argv[1:]:
        main(fname)
